#!/bin/sh
# description: auto_run
# 四川报告生成监控
# 检测脚本是否在运行，若已经在运行，则等待一段时间后再次检查，若未启动则进行启动
function start_interface() {
  INTERFACE_IS_STRAT=`ps -ef | grep scbg_app_config.py | grep -v grep | wc -l`
  if [ $INTERFACE_IS_STRAT -eq 4 ] ; then
    usleep
  else
    echo "=========Service Will Start=========="
#    cd /data/lzc/scbg-python/SCBG-PYTHON && nohup gunicorn -c scbg_app_config.py app_run:app 2>&1 &
    cd /opt/SCBG-PYTHON && exec nohup gunicorn -c scbg_app_config.py app_run:app 2>&1 &
    echo "=========Service Start Completed!========"
  fi

}

# 方法一：使用 echo 命令保持服务运行状态（容器启动时）
# 方法二： 使用自定义接口检测函数来保持服务运行状态
while true
do
  echo "PYTHON SERVICE is running..."
  start_interface
  sleep 30m
done